# $Id: ddrescue.spec 6000 2007-11-18 23:27:37Z dag $
# Authority: dag
# Upstream: Antonio Diaz Diaz <ant_diaz$teleline,es>

Summary: Data recovery tool
Name: ddrescue
### Epoch to override Fedora Extras stupid decision to NOT ADHERE TO THEIR OWN NAMING CONVENTION
Epoch: 1
Version: 1.6
Release: 1.%{releasetagsuffix}
License: GPL
Group: Applications/System
URL: http://www.gnu.org/software/ddrescue/ddrescue.html

Source: http://savannah.gnu.org/download/ddrescue/ddrescue-%{version}.tar.bz2
Packager: Dag Wieers <dag@wieers.com>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gcc-c++

%description
GNU ddrescue is a data recovery tool. It copies data from one file or block
device (hard disc, cdrom, etc) to another, trying hard to rescue data in
case of read errors.

Ddrescue does not truncate the output file if not asked to. So, every time
you run it on the same output file, it tries to fill in the gaps.

The basic operation of ddrescue is fully automatic. That is, you don't have
to wait for an error, stop the program, read the log, run it in reverse mode,
etc.

%prep
%setup

%build
./configure \
	--prefix="%{_prefix}" \
	--datadir="%{_datadir}" \
	--infodir="%{_infodir}" \
	--mandir="%{_mandir}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
#{__make} install DESTDIR="%{buildroot}"
%{__install} -Dp -m0755 ddrescue %{buildroot}%{_bindir}/ddrescue
%{__install} -Dp -m0644 doc/ddrescue.1 %{buildroot}%{_mandir}/man1/ddrescue.1
%{__install} -Dp -m0644 doc/ddrescue.info %{buildroot}%{_infodir}/ddrescue.info

%post
if [ -e %{_infodir}/ddrescue.info.gz ]; then
	/sbin/install-info %{_infodir}/ddrescue.info.gz %{_infodir}/dir
fi

%preun
if [ -e %{_infodir}/ddrescue.info.gz ]; then
	/sbin/install-info --delete %{_infodir}/ddrescue.info.gz %{_infodir}/dir
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%doc %{_mandir}/man1/ddrescue.1*
%doc %{_infodir}/ddrescue.info.*
%{_bindir}/ddrescue

%changelog
* Fri Nov 16 2007 Dag Wieers <dag@wieers.com> - 1.6-1 #6000
- Updated to release 1.6.

* Mon Jul 02 2007 Dag Wieers <dag@wieers.com> - 1.5-1
- Updated to release 1.5.

* Wed Jun 20 2007 Dag Wieers <dag@wieers.com> - 1.4-1
- Updated to release 1.4.

* Tue Dec 19 2006 Dag Wieers <dag@wieers.com> - 1.3-1
- Updated to release 1.3.

* Thu Dec 08 2005 Dag Wieers <dag@wieers.com> - 1.0-2
- Added epoch to override Fedora Extras ddrescue (which really is dd_rescue).

* Fri Jul 15 2005 Dag Wieers <dag@wieers.com> - 1.0-1
- Initial package. (using DAR)
